Package org.codehaus.groovy.ant

## Class FileIterator

- java.lang.Object
- - org.codehaus.groovy.ant.FileIterator

- All Implemented Interfaces:
    `java.util.Iterator`

      public class FileIterator
      extends java.lang.Object
      implements java.util.Iterator

  `FileIterator` is an iterator over a number of files from a collection of FileSet instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileIterator​(org.apache.tools.ant.Project project, java.util.Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator)` |
    `FileIterator​(org.apache.tools.ant.Project project, java.util.Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator, boolean iterateDirectories)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `java.lang.Object` | `next()` |
    `void` | `remove()` | throws UnsupportedOperationException

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### FileIterator

          public FileIterator​(org.apache.tools.ant.Project project,
                              java.util.Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator)

    - #### FileIterator

          public FileIterator​(org.apache.tools.ant.Project project,
                              java.util.Iterator<org.apache.tools.ant.types.FileSet> fileSetIterator,
                              boolean iterateDirectories)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`
      Returns:
        true if there is another object that matches the given predicate

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator`
      Returns:
        the next object which matches the given predicate

    - #### remove

          public void remove()

      throws UnsupportedOperationException
      Specified by:
        `remove` in interface `java.util.Iterator`